Error apt-get debian


  • 0

    Chicos, hace un par de semanas que no actualizaba SID y claro, hoy me ha bajado 200 megas asi de golpe…

    Pues bien, HA PETADO. Estaba desempaquetando sus cosillas y nada que error al canto y deja de instalar.

    Y ahora no encuentro forma de arreglar este descosio...

    Os paso la salida:

    linux:/home/pablo# apt-get dist-upgrade
    Leyendo lista de paquetes... Hecho
    Creando árbol de dependencias... Hecho
    Tal vez quiera ejecutar `apt-get -f install' para corregirlo.
    Los siguientes paquetes tienen dependencias incumplidas:
    xlibmesa-gl-dbg: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibmesa-gl-dev: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibmesa-glu-dbg: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibosmesa4: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    E: Dependencias incumplidas. Pruebe de nuevo usando -f.

    linux:/home/pablo# apt-get -f install xlibmesa-gl
    Leyendo lista de paquetes... Hecho
    Creando árbol de dependencias... Hecho
    Se actualizarán los siguientes paquetes:
    xlibmesa-gl
    1 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
    170 no instalados del todo o eliminados.
    Se necesita descargar 0B/282kB de archivos.
    Se utilizarán 49,2kB de espacio de disco adicional después de desempaquetar.
    Reading package fields... Done
    Reading package status... Done
    Retrieving bug reports... Done
    (Leyendo la base de datos ...
    79305 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar xlibmesa-gl 4.3.0.dfsg.1-12.0.1 (usando .../xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb) ...
    Desempaquetando el reemplazo de xlibmesa-gl ...
    dpkg: error al procesar /var/cache/apt/archives/xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb (--unpack):
    intentando sobreescribir `/usr/X11R6/lib/libGL.so.1.2', que está también en el paquete fglrx-4-3-0
    dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
    Se encontraron errores al procesar:
    /var/cache/apt/archives/xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Pero vamos, que ni usando -f, ni intentando instalar ese pkte aparte, ni borrandolos (dependendias con x-server), ni nada que se me ocurra....

    Alguna idea????



  • 1

    ¿HIciste un apt-get update?. Casi siempre que me han pasado cosas similares, tanto en Mandrake como en Debian, ha sido por no actualizar la lista de paquetes antes de instalar algo.

    Salu2!.



  • 2

    a mi me pasó alguna vez que otra algo así y con dselect me puse a borrar dependecias.. pero no te lo recomiendo que puedes mandar el sistema poco lejos jajajaa, desde ese dia siempre antes de actualizar algun paquete # apt-get update && apt-get dist-upgrade -y
    ( He actualizado hace nada y los paquetes que te fallan, se me han instalado perfectamente ).



  • 3

    @psgonza:

    Pero vamos, que ni usando -f, ni intentando instalar ese pkte aparte, ni borrandolos (dependendias con x-server), ni nada que se me ocurra….

    A veces ocurre con sid. Recuerda que sid es el sistema operativo en "movimiento perpétuo" y podría ocurrir que se hayan subido paquetes nuevos, y aún no se hayan subido librerías de las que dependan. Espera 24 horas, vuelve a intentarlo tras apt-get update, y seguramente se haya solucionado milagrosamente.

    Dicen de sid "if it breaks, you have to keep both pieces" es decir "si se rompe, te has de quedar con los pedazos". ;D



  • 4

    jejejeje

    Pues nada eso haré, esta noche le daré otra vez a ver si se arregla solito

    gracias ;)

    PD: si que hago el update, porque tengo un bonito actualizar.sh (apt-get update && apt-get dist-upgrade) :P



  • 5

    Bueno, pues sigue igual el tema….

    Despues de una semana muy liada, he vuelto ha intentarlo y nada, sigue igual..

    linux:/home/pablo# ./actualizar
    Des:1 http://ftp.es.debian.org unstable/main Packages [3560kB]
    Des:2 http://ftp.es.debian.org unstable/main Release [82B]
    Des:3 http://ftp.es.debian.org unstable/non-free Packages [67,1kB]
    Des:4 http://ftp.es.debian.org unstable/non-free Release [86B]
    Des:5 http://ftp.es.debian.org unstable/contrib Packages [69,0kB]
    Des:6 http://ftp.es.debian.org unstable/contrib Release [85B]
    Des:7 http://ftp.es.debian.org unstable/main Sources [1409kB]
    Des:8 http://ftp.es.debian.org unstable/main Release [84B]
    Des:9 http://ftp.es.debian.org unstable/non-free Sources [26,4kB]
    Des:10 http://ftp.es.debian.org unstable/non-free Release [88B]
    Des:11 http://ftp.es.debian.org unstable/contrib Sources [30,1kB]
    Des:12 http://ftp.es.debian.org unstable/contrib Release [87B]
    Descargados 5162kB en 1m45s (48,7kB/s)
    Leyendo lista de paquetes… Hecho
    Leyendo lista de paquetes... Hecho
    Creando árbol de dependencias... Hecho
    Tal vez quiera ejecutar `apt-get -f install' para corregirlo.
    Los siguientes paquetes tienen dependencias incumplidas:
    xlibmesa-gl-dbg: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibmesa-gl-dev: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibmesa-glu-dbg: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    xlibosmesa4: Depende: xlibmesa-gl (= 4.3.0.dfsg.1-13) pero 4.3.0.dfsg.1-12.0.1 está instalado
    E: Dependencias incumplidas. Pruebe de nuevo usando -f.

    inux:/home/pablo# apt-get -f install
    Leyendo lista de paquetes... Hecho
    Creando árbol de dependencias... Hecho
    Corrigiendo dependencias... Listo
    Se instalarán los siguientes paquetes extras:
    xlibmesa-gl
    Se actualizarán los siguientes paquetes:
    xlibmesa-gl
    1 actualizados, 0 se instalarán, 0 para eliminar y 20 no actualizados.
    170 no instalados del todo o eliminados.
    Se necesita descargar 0B/282kB de archivos.
    Se utilizarán 49,2kB de espacio de disco adicional después de desempaquetar.
    ¿Desea continuar? [S/n] S
    Reading package fields… Done
    Reading package status... Done
    Retrieving bug reports... Done
    (Leyendo la base de datos ...
    79305 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar xlibmesa-gl 4.3.0.dfsg.1-12.0.1 (usando .../xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb) ...
    Desempaquetando el reemplazo de xlibmesa-gl ...
    dpkg: error al procesar /var/cache/apt/archives/xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb (--unpack):
    intentando sobreescribir `/usr/X11R6/lib/libGL.so.1.2', que está también en el paquete fglrx-4-3-0
    dpkg-deb: el subproceso paste fue terminado por la señal (Tubería rota)
    Se encontraron errores al procesar:
    /var/cache/apt/archives/xlibmesa-gl_4.3.0.dfsg.1-13_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    :(



  • 6

    dpkg -i –force-all /var/cache/apt/archives/xlibmesa-gl_4.3.0.dfsg.1-12.0.1_i386.deb

    y funcionando ;)

    PD: la verdad es que no llego a imaginar como podria vivir sin google O_o



  • 7

    Me alegro de que haya funcionado al fín. Iba decirte también de limpiar la caché de apt por si algún paquete no estaba en buenas condiciones, pero veo que ya no es necesario.

    Salu2!.





Has perdido la conexión. Reconectando a Hardlimit.